Blame SOURCES/0114-fcoe-uefi-do-not-include-if-fcoe-utils-not-installed.patch

18971c
From d802e985aed9dbe48f7b9165f3eddd0be7d47c27 Mon Sep 17 00:00:00 2001
18971c
From: Harald Hoyer <harald@redhat.com>
18971c
Date: Tue, 7 Jan 2014 14:34:55 +0100
18971c
Subject: [PATCH] fcoe-uefi: do not include, if fcoe utils not installed
18971c
18971c
---
18971c
 modules.d/95fcoe-uefi/module-setup.sh | 4 +++-
18971c
 1 file changed, 3 insertions(+), 1 deletion(-)
18971c
18971c
diff --git a/modules.d/95fcoe-uefi/module-setup.sh b/modules.d/95fcoe-uefi/module-setup.sh
18971c
index 653d88eb..c91f7754 100755
18971c
--- a/modules.d/95fcoe-uefi/module-setup.sh
18971c
+++ b/modules.d/95fcoe-uefi/module-setup.sh
18971c
@@ -4,6 +4,9 @@
18971c
 
18971c
 # called by dracut
18971c
 check() {
18971c
+    for i in dcbtool fipvlan lldpad ip readlink; do
18971c
+        type -P $i >/dev/null || return 1
18971c
+    done
18971c
     return 0
18971c
 }
18971c
 
18971c
@@ -17,4 +20,3 @@ depends() {
18971c
 install() {
18971c
     inst_hook cmdline 20 "$moddir/parse-uefifcoe.sh"
18971c
 }
18971c
-